Package org.zkoss.xel.zel

## Class XelELResolver.StandardBeanNameResolver

- java.lang.Object
- - org.zkoss.zel.BeanNameResolver
  - - org.zkoss.xel.zel.XelELResolver.StandardBeanNameResolver

- Enclosing class:
    XelELResolver

      public static class XelELResolver.StandardBeanNameResolver
      extends BeanNameResolver

  It's a class copied from StandardELContext
  Author:
    Chunfu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardBeanNameResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canCreateBean​(java.lang.String beanName)` | Is it permitted to create a bean of the given name?
    `java.lang.Object` | `getBean​(java.lang.String beanName)` | Returns the named bean.
    `boolean` | `isNameResolved​(java.lang.String beanName)` | Can this resolver resolve the given bean name?
    `boolean` | `isReadOnly​(java.lang.String beanName)` | Is the named bean read-only?
    `void` | `setBeanValue​(java.lang.String beanName, java.lang.Object value)` | Sets a value of a bean of the given name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardBeanNameResolver

          public StandardBeanNameResolver()

  - ### Method Detail

    - #### isNameResolved

          public boolean isNameResolved​(java.lang.String beanName)

      Description copied from class: `BeanNameResolver`
      Can this resolver resolve the given bean name?
      Overrides:
        `isNameResolved` in class `BeanNameResolver`
      Parameters:
        `beanName` - The bean name to resolve
      Returns:
        This default implementation always returns `false`

    - #### getBean

          public java.lang.Object getBean​(java.lang.String beanName)

      Description copied from class: `BeanNameResolver`
      Returns the named bean.
      Overrides:
        `getBean` in class `BeanNameResolver`
      Parameters:
        `beanName` - The bean name to return
      Returns:
        This default implementation always returns `null`

    - #### setBeanValue

          public void setBeanValue​(java.lang.String beanName,
                                   java.lang.Object value)
                            throws PropertyNotWritableException

      Description copied from class: `BeanNameResolver`
      Sets a value of a bean of the given name. If the named bean does not exist and `BeanNameResolver.canCreateBean(java.lang.String)` returns `true` then a bean is created with the given value.
      Overrides:
        `setBeanValue` in class `BeanNameResolver`
      Parameters:
        `beanName` - The name of the bean to be set/create
        `value` - The value of the bean to set/create
      Throws:
        `PropertyNotWritableException` - if the bean is read only

    - #### isReadOnly

          public boolean isReadOnly​(java.lang.String beanName)

      Description copied from class: `BeanNameResolver`
      Is the named bean read-only?
      Overrides:
        `isReadOnly` in class `BeanNameResolver`
      Parameters:
        `beanName` - The name of the bean of interest
      Returns:
        `true` if the bean is read only, otherwise `false`

    - #### canCreateBean

          public boolean canCreateBean​(java.lang.String beanName)

      Description copied from class: `BeanNameResolver`
      Is it permitted to create a bean of the given name?
      Overrides:
        `canCreateBean` in class `BeanNameResolver`
      Parameters:
        `beanName` - The name of the bean of interest
      Returns:
        `true` if the bean may be created, otherwise `false`